Subject: Help with Dry Mouth.

From: [email-masked] (JohnPratt)
Date: 10 Sep 1995 23:17:57 -0400

I've been waking up in the middle of the night with a (sometimes
painfully) dry mouth & throat.  I've tried drinking lots of water before I
go to bed but I wake up with a dry mouth and a full bladder.  It doesn't
happen every night but with enough frequency that I'd like some help!

I have a large number of allergies.  For example, my food allergies are
the bean family (includes chocolate, peanuts, vanilla), citrus fruits
(includes tomatoes) and corn!  I don't know if this is a factor.  I
usually try to avoid eating these things but it's fairly impossible (e.g.,
there's corn oil, sweatener, or starch in just about everything).  

I'm willing to try any suggestions you have.

Thanks!